screenW, screenH = guiGetScreenSize()

tune.window = guiCreateStaticImage(650, screenH*0.5-285*0.5, 300, 285, "files/main.png", false)
guiSetVisible(tune.window, false)

tune.grid = guiCreateGridList(5, 47, 290, 150, false, tune.window)
guiGridListAddColumn(tune.grid, "Objeler", 0.9)

tune.select = guiCreateStaticImage(140, 210, 140, 25, "files/but.png", false, tune.window)
tune.close = guiCreateStaticImage(140, 245, 140, 25, "files/buts.png", false, tune.window)

tune.front = guiCreateStaticImage(45, 210, 30, 30, "files/up.png", false, tune.window)
tune.left = guiCreateStaticImage(10, 245, 30, 30, "files/l.png", false, tune.window)
tune.right = guiCreateStaticImage(80, 245, 30, 30, "files/r.png", false, tune.window)
tune.back = guiCreateStaticImage(45, 245, 30, 30, "files/do.png", false, tune.window)

tune.up = guiCreateStaticImage(80, 210, 30, 30, "files/s.png", false, tune.window)
tune.down = guiCreateStaticImage(10, 210, 30, 30, "files/s1.png", false, tune.window)

addEventHandler("onClientGUIClick", root, function ()
	local selected = guiGridListGetItemText(tune.grid, guiGridListGetSelectedItem(tune.grid), 1)
	if source == tune.select then
		if selected ~= "" then
			triggerServerEvent("createTuneObject", localPlayer, localPlayer, selected)
		end
	elseif source == tune.close then
		guiSetVisible(tune.window, false)
		showCursor(false)
	elseif source == tune.front then
		if selected == "" then return end
		triggerServerEvent("moveTuneObject", localPlayer, localPlayer, selected, "front")
	elseif source == tune.back then
		if selected == "" then return end
		triggerServerEvent("moveTuneObject", localPlayer, localPlayer, selected, "back")
	elseif source == tune.left then
		if selected == "" then return end
		triggerServerEvent("moveTuneObject", localPlayer, localPlayer, selected, "left")
	elseif source == tune.right then
		if selected == "" then return end
		triggerServerEvent("moveTuneObject", localPlayer, localPlayer, selected, "right")
	elseif source == tune.down then
		if selected == "" then return end
		triggerServerEvent("moveTuneObject", localPlayer, localPlayer, selected, "down")
	elseif source == tune.up then
		if selected == "" then return end
		triggerServerEvent("moveTuneObject", localPlayer, localPlayer, selected, "up")
	end
end)

tune.table = {}
for i,v in pairs(tune.elements) do
	table.insert(tune.table, {i})
	table.sort(tune.table, function(a, b) return a[1] < b[1] end )
end

for i,v in pairs(tune.table) do
	row = guiGridListAddRow(tune.grid)
	guiGridListSetItemText(tune.grid, row, 1, v[1], false, false)
end

bindKey(tune.key, "down", function ()
	guiSetVisible(tune.window, not guiGetVisible(tune.window))
	showCursor(guiGetVisible(tune.window))
end)

for i,v in pairs(tune.mods) do 
	txd = engineLoadTXD(v[1], v[3])
	engineImportTXD(txd, v[3])
	dff = engineLoadDFF(v[2], v[3])
	engineReplaceModel(dff, v[3])
end